package com.fjs.scenic.entity.news;

import java.util.Date;

public class News {
    private Integer id;

    private String title;

    private Date time;

    private Integer mid;

    private String icon;

    private Byte status;

    private String content;
    
    private Integer num;
    
    private String param;
    
    public News() {
		super();
	}

	public News(Integer id) {
		this.id = id;
	}

	public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title == null ? null : title.trim();
    }

    public Date getTime() {
        return time;
    }

    public Integer getNum() {
		return num;
	}

	public void setNum(Integer num) {
		this.num = num;
	}

	public void setTime(Date time) {
        this.time = time;
    }

    public Integer getMid() {
        return mid;
    }

    public void setMid(Integer mid) {
        this.mid = mid;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon == null ? null : icon.trim();
    }

    public Byte getStatus() {
        return status;
    }

    public void setStatus(Byte status) {
        this.status = status;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content == null ? null : content.trim();
    }

	public String getParam() {
		return param;
	}

	public void setParam(String param) {
		this.param = param;
	}
}